<template>
  <div>
    <h2>User Management</h2>
    <button @click="Newuser">ADD</button>
    <input type="text">
    <button>Filter</button>
    <div>
      <hr>
    </div>
    <hr>
    <table class="table">
      <thead>
        <tr>
          <th>
            <b>
              <u>Firstname</u>
            </b>
          </th>
          <th>
            <b>
              <u>Lastname</u>
            </b>
          </th>
          <th>
            <b>
              <u>Mobile</u>
            </b>
          </th>
          <th>
            <b>
              <u>Email</u>
            </b>
          </th>
          <th>
            <b>
              <u>Edit</u>
            </b>
          </th>
          <th>
            <b>
              <u>Delete</u>
            </b>
          </th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="(name,key) in userdata" :key="key">
          <td>{{name.firstname}}</td>
          <td>{{name.lastname}}</td>
          <td>{{name.mobile}}</td>
          <td>{{name.emailId}}</td>
          <td>
            <button @click="Edituser(name)">Edit</button>
          </td>
          <td>
            <button @click="DeleteUser(name._id)">Delete</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>
<script>
import { mapGetters } from "vuex";

export default {
  data() {
    return {
      page: 1,
      pagesize: 10
    };
  },
  created() {
    this.UserListDisplay();
  },
  computed: {
    ...mapGetters(["userdata"])
  },
  methods: {
    UserListDisplay() {
      let { page, pagesize } = this;
      var sort = { rate: 1 };
      var data = { page, pagesize, sort };
      this.$store.dispatch("UserListDisplay", data);
    },
    Newuser(){
      this.$router.push('/dashboard/newuser')
    },
    DeleteUser(uid){
      var data={userIds:[uid]};
      this.$store.dispatch("DeleteUser",data)
      this.UserListDisplay()
    },
    Edituser(uid){
      this.$store.dispatch("EditUser",uid)
      this.$router.push('/dashboard/edituser')
    }
  }
};
</script>

<style scoped>
</style>